| gclib 2.4.1 Galil Communications Library

Loading...
Searching...
No Matches
Public Attributes | List of all members
GDataRecord47300_ENC Struct Reference

Data record struct for RIO-47300. Includes encoder fields. More...

`#include <gclib_record.h>`

## Public Attributes
UB | header_0
| 1st Byte of Header.
UB | header_1
| 2nd Byte of Header.
UB | header_2
| 3rd Byte of Header.
UB | header_3
| 4th Byte of Header.
UW | sample_number
| Sample number.
UB | error_code
| Error code.
UB | general_status
| General status.
UW | output_analog_0
| Analog output 0.
UW | output_analog_1
| Analog output 1.
UW | output_analog_2
| Analog output 2.
UW | output_analog_3
| Analog output 3.
UW | output_analog_4
| Analog output 4.
UW | output_analog_5
| Analog output 5.
UW | output_analog_6
| Analog output 6.
UW | output_analog_7
| Analog output 7.
UW | input_analog_0
| Analog input 0.
UW | input_analog_1
| Analog input 1.
UW | input_analog_2
| Analog input 2.
UW | input_analog_3
| Analog input 3.
UW | input_analog_4
| Analog input 4.
UW | input_analog_5
| Analog input 5.
UW | input_analog_6
| Analog input 6.
UW | input_analog_7
| Analog input 7.
UW | output_bank_0
| Digital outputs 0-15;.
UW | output_bank_1
| Digital outputs 16-23;.
UW | input_bank_0
| Digital inputs 0-15;.
UW | input_bank_1
| Digital inputs 16-23;.
UL | pulse_count_0
| Pulse counter (see PC).
SL | zc_variable
| ZC User-defined variable (see ZC).
SL | zd_variable
| ZD User-defined variable (see ZD).
SL | encoder_0
| Encoder channel 0. Data only valid for parts with -BISS, -QUAD, or -SSI.
SL | encoder_1
| Encoder channel 1. Data only valid for parts with -BISS, -QUAD, or -SSI.
SL | encoder_2
| Encoder channel 2. Data only valid for parts with -BISS, -QUAD, or -SSI.
SL | encoder_3
| Encoder channel 3. Data only valid for parts with -BISS, -QUAD, or -SSI.

## Detailed Description

Data record struct for RIO-47300. Includes encoder fields.

Definition at line 914 of file gclib_record.h.

## Member Data Documentation

## ◆ header_0

UB GDataRecord47300_ENC::header_0

1st Byte of Header.

Definition at line 919 of file gclib_record.h.

## ◆ header_1

UB GDataRecord47300_ENC::header_1

2nd Byte of Header.

Definition at line 920 of file gclib_record.h.

## ◆ header_2

UB GDataRecord47300_ENC::header_2

3rd Byte of Header.

Definition at line 921 of file gclib_record.h.

## ◆ header_3

UB GDataRecord47300_ENC::header_3

4th Byte of Header.

Definition at line 922 of file gclib_record.h.

## ◆ sample_number

UW GDataRecord47300_ENC::sample_number

Sample number.

Definition at line 924 of file gclib_record.h.

## ◆ error_code

UB GDataRecord47300_ENC::error_code

Error code.

Definition at line 925 of file gclib_record.h.

## ◆ general_status

UB GDataRecord47300_ENC::general_status

General status.

Definition at line 926 of file gclib_record.h.

## ◆ output_analog_0

UW GDataRecord47300_ENC::output_analog_0

Analog output 0.

Definition at line 928 of file gclib_record.h.

## ◆ output_analog_1

UW GDataRecord47300_ENC::output_analog_1

Analog output 1.

Definition at line 929 of file gclib_record.h.

## ◆ output_analog_2

UW GDataRecord47300_ENC::output_analog_2

Analog output 2.

Definition at line 930 of file gclib_record.h.

## ◆ output_analog_3

UW GDataRecord47300_ENC::output_analog_3

Analog output 3.

Definition at line 931 of file gclib_record.h.

## ◆ output_analog_4

UW GDataRecord47300_ENC::output_analog_4

Analog output 4.

Definition at line 932 of file gclib_record.h.

## ◆ output_analog_5

UW GDataRecord47300_ENC::output_analog_5

Analog output 5.

Definition at line 933 of file gclib_record.h.

## ◆ output_analog_6

UW GDataRecord47300_ENC::output_analog_6

Analog output 6.

Definition at line 934 of file gclib_record.h.

## ◆ output_analog_7

UW GDataRecord47300_ENC::output_analog_7

Analog output 7.

Definition at line 935 of file gclib_record.h.

## ◆ input_analog_0

UW GDataRecord47300_ENC::input_analog_0

Analog input 0.

Definition at line 937 of file gclib_record.h.

## ◆ input_analog_1

UW GDataRecord47300_ENC::input_analog_1

Analog input 1.

Definition at line 938 of file gclib_record.h.

## ◆ input_analog_2

UW GDataRecord47300_ENC::input_analog_2

Analog input 2.

Definition at line 939 of file gclib_record.h.

## ◆ input_analog_3

UW GDataRecord47300_ENC::input_analog_3

Analog input 3.

Definition at line 940 of file gclib_record.h.

## ◆ input_analog_4

UW GDataRecord47300_ENC::input_analog_4

Analog input 4.

Definition at line 941 of file gclib_record.h.

## ◆ input_analog_5

UW GDataRecord47300_ENC::input_analog_5

Analog input 5.

Definition at line 942 of file gclib_record.h.

## ◆ input_analog_6

UW GDataRecord47300_ENC::input_analog_6

Analog input 6.

Definition at line 943 of file gclib_record.h.

## ◆ input_analog_7

UW GDataRecord47300_ENC::input_analog_7

Analog input 7.

Definition at line 944 of file gclib_record.h.

## ◆ output_bank_0

UW GDataRecord47300_ENC::output_bank_0

Digital outputs 0-15;.

Definition at line 946 of file gclib_record.h.

## ◆ output_bank_1

UW GDataRecord47300_ENC::output_bank_1

Digital outputs 16-23;.

Definition at line 947 of file gclib_record.h.

## ◆ input_bank_0

UW GDataRecord47300_ENC::input_bank_0

Digital inputs 0-15;.

Definition at line 949 of file gclib_record.h.

## ◆ input_bank_1

UW GDataRecord47300_ENC::input_bank_1

Digital inputs 16-23;.

Definition at line 950 of file gclib_record.h.

## ◆ pulse_count_0

UL GDataRecord47300_ENC::pulse_count_0

Pulse counter (see PC).

Definition at line 952 of file gclib_record.h.

## ◆ zc_variable

SL GDataRecord47300_ENC::zc_variable

ZC User-defined variable (see ZC).

Definition at line 953 of file gclib_record.h.

## ◆ zd_variable

SL GDataRecord47300_ENC::zd_variable

ZD User-defined variable (see ZD).

Definition at line 954 of file gclib_record.h.

## ◆ encoder_0

SL GDataRecord47300_ENC::encoder_0

Encoder channel 0. Data only valid for parts with -BISS, -QUAD, or -SSI.

Definition at line 956 of file gclib_record.h.

## ◆ encoder_1

SL GDataRecord47300_ENC::encoder_1

Encoder channel 1. Data only valid for parts with -BISS, -QUAD, or -SSI.

Definition at line 957 of file gclib_record.h.

## ◆ encoder_2

SL GDataRecord47300_ENC::encoder_2

Encoder channel 2. Data only valid for parts with -BISS, -QUAD, or -SSI.

Definition at line 958 of file gclib_record.h.

## ◆ encoder_3

SL GDataRecord47300_ENC::encoder_3

Encoder channel 3. Data only valid for parts with -BISS, -QUAD, or -SSI.

Definition at line 959 of file gclib_record.h.

The documentation for this struct was generated from the following file:

- gclib_record.h